.section__roadmap__body {
  display: grid;
  grid-template-columns: minmax(auto, 450px) minmax(500px, 720px);
  align-items: start;
  justify-content: space-between;
  gap: 100px;
  position: relative;
}
@media (max-width: 1280px) {
  .section__roadmap__body {
    gap: 80px;
  }
}
@media (max-width: 992px) {
  .section__roadmap__body {
    display: flex;
    flex-direction: column;
    gap: 48px;
  }
}
.section__roadmap__left {
  padding: 50px 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  position: sticky;
  top: 100px;
  left: 0;
}
@media (max-width: 992px) {
  .section__roadmap__left {
    gap: 24px;
    padding: 0;
    width: 100%;
    position: static;
  }
}
@media (max-width: 620px) {
  .section__roadmap__left {
    align-items: center;
    text-align: center;
  }
}
.section__roadmap__head {
  display: flex;
  align-items: center;
  gap: 36px;
}
.section__roadmap__head__img {
  width: 80px;
  height: 85px;
  -o-object-fit: cover;
     object-fit: cover;
}
@media (max-width: 620px) {
  .section__roadmap__head__img {
    width: 40px;
    height: 42px;
  }
}
@media (max-width: 620px) {
  .section__roadmap__head {
    flex-direction: column;
    gap: 16px;
    text-align: center;
  }
}
.section__roadmap__right {
  padding: 50px 0;
  position: relative;
}
.section__roadmap__list {
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  gap: 80px;
}
@media (max-width: 992px) {
  .section__roadmap__list {
    gap: 56px;
  }
}
@media (max-width: 560px) {
  .section__roadmap__list {
    gap: 36px;
  }
}
.section__roadmap__item {
  display: grid;
  grid-template-columns: 64px auto;
  gap: 43px;
}
@media (max-width: 560px) {
  .section__roadmap__item {
    gap: 24px;
  }
}
.section__roadmap__item__text {
  line-height: 140%;
  transition: var(--transition-300);
}
.section__roadmap__item__title {
  transition: var(--transition-300);
}
.section__roadmap__item.active .section__roadmap__num {
  background: var(--black-95);
  color: var(--page-color, var(--section-roadmap-color, var(--green-100)));
  border: 2px solid var(--page-color, var(--section-roadmap-color, var(--green-100)));
}
.section__roadmap__item.active .section__roadmap__info .section__roadmap__item__text,
.section__roadmap__item.active .section__roadmap__info .section__roadmap__item__title {
  color: var(--white-100);
}
.section__roadmap__num {
  width: 64px;
  height: 64px;
  transition: var(--transition-300);
  font-size: var(--fs-lg);
  line-height: 120%;
  letter-spacing: -0.08em;
  display: flex;
  padding: 18px 0 0 12px;
  border: 2px solid var(--grey-100);
  background: var(--black-80);
  color: var(--grey-100);
  font-family: var(--font-kharkiv);
  border-radius: 50%;
}
@media (max-width: 1600px) {
  .section__roadmap__num {
    padding: 20px 0 0 16px;
  }
}
@media (max-width: 560px) {
  .section__roadmap__num {
    font-size: 20px;
  }
}
.section__roadmap__info {
  display: flex;
  flex-direction: column;
  gap: 12px;
  transition: var(--transition-300);
}
.section__roadmap__info .section__roadmap__item__text,
.section__roadmap__info .section__roadmap__item__title {
  color: var(--white-30);
}
.section__roadmap__line__body {
  position: absolute;
  left: 32px;
  top: 0;
  bottom: 50px;
  width: 7px;
  background: var(--grey-100);
  z-index: 1;
  transform: translateX(-50%);
}
@media (max-width: 560px) {
  .section__roadmap__line__body {
    width: 4px;
  }
}
.section__roadmap__line__progress {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0%;
  background: var(--page-color, var(--section-roadmap-color, var(--green-100)));
  transition: height 0.1s linear;
  min-height: 175px;
}